[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.ReplaceSliceCentered

Replaces the image at the specified position from image data stored as adjacent columns and rows.

## Declaration

Source position: imglist.pp line 389

`public procedure TCustomImageList.ReplaceSliceCentered(`
`AIndex: Integer;`
`AImageWidth: Integer;`
`Image: TCustomBitmap;`
`const AllResolutions: Boolean = True`
`);`

## Arguments

`AIndex` |  | Ordinal position for the image replaced in the method.
`AImageWidth` |  | Image width for the resolution updated in the method.
`Image` |  | Image data stored in the method.
`AllResolutions` |  | Indicates if all image resolutions are updated in the method.

## Description

ReplaceSliceCentered is a procedure used to replace the image at the specified position from the specified image data.

AIndex contains the index position for the image replace in the method.

AImageWidth contains the width for the image resolution updated in the method. No actions are performed in the method when an image resolution using the specified width is not found.

Image is a TCustomBitmap instance that contains the image data store in the image list.

AllResolutions indicates if all image resolutions are updated in the method. When AllResolutions is False, only the image resolution using the image width in AImageWidth is updated in the method. When AllResolutions is True, the image stored at the specified position is updates in all Resolutions for the image list.

ReplaceSliceCentered calls the ReplaceSlice method to update the image at the specified position using the parameters passed to the method.

## See also

TCustomImageList.FindResolution |  | Finds the image resolution which uses the specified image width.
TCustomImageList.ReplaceSlice |  | Replace an image at the specified position with a slice from the specified image.